Articles of biblioteca de

Incluyendo bibliotecas pre comstackdas en el tree fuente

Tengo un proyecto de C ++ multiplataforma. En este proyecto, utilizamos varias bibliotecas comstackdas estáticamente de terceros que son bastante grandes y no fáciles de build. Actualmente, nuestro tree fuente se ve así: | +-3rdparty | +-include (initially empty) | +-lib (initially empty) | +-some-library | +-another-library | +-source Al verificar el código, un desarrollador […]

¿Deben las dependencies externas ser reparadas, durante el desarrollo?

Mi equipo y yo estamos trabajando en varios proyectos que colectivamente dependen de algunas bibliotecas comunes. Estas bibliotecas comunes están actualmente desprotegidas junto con los proyectos, usando svn: externals. La pregunta es, ¿deberían los troncos de los proyectos rastrear el CABEZAL de cada biblioteca, o estar vinculados a revisiones específicas? Las bibliotecas de problemas son […]

¿Ignorando los files bin de la biblioteca Android en TortoiseSVN?

Tengo dos proyectos de Android, Proyecto A y Proyecto de Biblioteca B. El Proyecto A usa B como una Biblioteca de Android . Ambos proyectos están comprometidos con el mismo repository SVN y, en su mayor parte, todo funciona. Sin embargo, el directory bin del Proyecto A se marca continuamente como Actualizado por TortoiseSVN. Parece […]

¿Cómo usar git con las bibliotecas de Android?

Como la mayoría de los desarrolladores de Android, uso eclipse. Cuando configura un Android Library Project, se crea en su propio directory. Ejemplo: / workspace / / workspace / libproject1 / workspace / libproject2 / workspace / myapp / workspace / mysecondapp Ahora myapp tendrá un file project.properties que tendrá esto: android.library.reference.1=../libproject1 android.library.reference.2=../libproject2 Y mysecondapp […]

¡Obtener android.compileSdkVersion no se encuentra! error gradle build

Estoy intentando build mi biblioteca y uploadla al repository, pero desafortunadamente la compilation de gradle falla. He pasado varias horas intentando solucionar este error, pero nada de lo que probé no ayudó. Aquí está mi build.gradle del build.gradle raíz del proyecto. buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:1.2.3' classpath 'com.github.dcendents:android-maven-plugin:1.2' classpath "com.jfrog.bintray.gradle:gradle-bintray-plugin:1.1" […]